Subject: Re: Openjade Segmentation Fault
From: "Javier J." <[email-masked]>
To: "Gerrit @ cygwin" <[email-masked]>
Cc: [email-masked], Jon Foster <[email-masked]>, Markus Hoenicka <[email-masked]>, [email-masked], Nicholas Wourms <[email-masked]>, Joshua Daniel Franklin <[email-masked]>, [email-masked]
Date: Wed, 24 Jul 2002 05:04:27 -0700 (PDT)

> Please follow up to cygwin at cygwin.com

I'd redirect all other posted messages to
[email-masked]'.

> > Javier is heard to say:
> > I want to get jade and related packages on my
> > Windows 2000 + Cygwin system, and test them 
> > with 'DocBook: The Definitive Guide' (from
> > 'http://www.oasis-open.org/committees/docbook/
> > documentation/reference/')
> > 
> > I've tried with openjade and related packages,
> > downloaded from 'http://www.toomanysecrets.net/
> > ~foster/cygwin/'. As binaries were put at 
> > '/usr/bin' (that is, my
> > 'c:/Programas/cygwin/usr/bin' folder) i had to
> > move them to '/bin' (i.e. my 
> > 'c:/Programas/cygwin/bin' folder)

> Nicholas wrote about this:
> 
> "The last time I checked, there were some packaging
issues.  If you 
> will
> notice, he made tarballs with a "." in the path. 
For some reason, 
> setup 
> can't handle this and ends up sticking the openjade
binaries in the 
> folder usr/bin [instead of sticking it in bin/].  Of
course since 
> /usr/bin is a virtual folder inside cygwin, the end
result is that 
> Cygwin will refuse to acknowledge the existance of
the openjade 
> binaries.  Otherwise, with some minor tweaking of
teTeX and the 
> addition 
> of
pdfjadetex/sgmlutils/sgmlutils-lite/docbook-utils, I
was able to get 
> a fairly decent docbook build environment set up. 
Jon's email is 
> bouncing, so I've had no way to contact him
regarding this..."

Those packages does not form part of the cygwin list,
neither of
the foster's one. I think Hoenicka's manual would help
here. 
What kind of adjustments are Nicholas talking about?

> What does 'cygcheck -svr' tell us?

# cygcheck -svr &> system.log
[File 'system.log' attached]

Also take a look at this (those backslaces are here to
be removed 
with its carriage return, though you probably know
this convention):

# openjade -trtf -wall -c/etc/sgml/catalog \
-d/usr/share/sgml/docbook-dsssl/print/docbook.dsl \
/usr/share/sgml/docbook-3.1/docbook.dcl fulltext.sgm
&> openjade.log
Segmentation fault (core dumped)
# 
[Files 'openjade.log' and 'openjade.exe.stackdump'
attached]

If i remove the last mark of
'/usr/share/sgml/dsssl/style-sheet.dtd'
and rerun openjade then it doesn't crash but the
produced 
'fulltext.rtf' is just a chunk of text.

# openjade -trtf -wall -c/etc/sgml/catalog \
-d/usr/share/sgml/docbook-dsssl/print/docbook.dsl \
/usr/share/sgml/docbook-3.1/docbook.dcl fulltext.sgm
&> openjade2.log

[File 'openjade2.log' attached]

I am surely not the right man to check those problems.
As an 'end user'
any help would be appreciated.

Regards, Javier

__________________________________________________
Do You Yahoo!?
Yahoo! Health - Feel better, live better
http://health.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/